# Correct Localization Valheim JP/Valheim の日本語ローカライズ修正mod

## 概要

![top image](https://staticdelivery.nexusmods.com/mods/3667/images/1511/1511-1672718945-1161209978.jpeg)

(参考画像が表示されない場合は [NexusMods](https://www.nexusmods.com/valheim/mods/1511?tab=description) を見てください)

このmod は日本語ローカライズの不完全な箇所を修正します.

1. 翻訳の誤り
2. 翻訳テキストが存在しない箇所
3. デフォルトでは小さすぎて読めない文字の大きさ
4. 誤ったフォント (デフォルトでは游書体に変更されます)

* 例えば, v0.208.1 では訳し忘れ, はっきりと意味の変わってしまうような誤訳, 表示がおかしい, といった修正箇所は, テキスト全体のうちおよそ20%でした. それ以外の細かい修正も含めると30%になります.
    * v0.212.7 ではそれぞれ4%と18%になっています.

## インストール方法

1. [BepInEx](https://valheim.thunderstore.io/package/denikson/BepInExPack_Valheim/) がインストールされていることを確認してください
2. [Jotunn](https://valheim.thunderstore.io/package/ValheimModding/Jotunn/) (JVL) がインストールされていることを確認してください
3. このmodをインストールしてください. Valheim インストールフォルダ (Valheim.exe のある場所) の, BepInEx\plugins/ValheimJP\ というフォルダにインストールされるはずです.

* 本体とフォルダ階層が違う可能性があるので, 本体のファイルを上書きできたかをよく確認してください.

## フォント関連の補足説明

* Mac や Steam Deck, (Linux, Proton)  だとたぶん游書体が入ってないのでデフォルトのフォント設定がおそらく機能しません. 私はどちらも持ってないのでこれらの環境でデフォルトで使えるおすすめのフォントがあったら教えてください. できれば環境ごとに適切なデフォルト設定をするようにしたいです.

## フォントのカスタマイズについて

本modをインストールした状態で一度でもゲームを起動すると, Valheim インストールフォルダに BepInEx\config\Gedevan-Aleksizde.mods.ValheimJP.cfg というファイルが作成されます. このファイルをテキストエディタで開いて修正することで, オプションを変更できます ([BepInEx Configuration Manager](https://thunderstore.io/package/IFixYourRoR2Mods/Bepinex_ConfigurationManager/) でも変更できます).

![cfg view](https://staticdelivery.nexusmods.com/mods/3667/images/1511/1511-1672720574-1920163647.jpeg)

フォント置き換えのカスタマイズについて, いくつかのオプションを用意しました.

* `CorrectFont`: false を指定するとフォント置き換え機能を無効にします.
* `HowToReplace`: フォントの置き換え方法の指定です. `Override` なら全て指定したフォントに置き換えます. `Fallback` なら日本語のみ指定したフォントになり, アルファベットはバニラのフォントが維持されます.

![HowToReplace Option example](https://staticdelivery.nexusmods.com/mods/3667/images/1511/1511-1672717045-747708915.jpeg)

そして, 個別の置換フォントの変更方法について. Valheim Mistlands 時点では以下6種のフォントファミリが使用されています.

* prstart (press start): タイトル画面端の「show Player.log」等に使われているドット絵風文字, 2種類あり
* Averia Serif Libre: メニュー画面のほとんどのテキストがこれ. 少し滲んた風に見える文字. ウエイト・スタイル違いで合計5種類あり
* Averia Sans Libre: 上記の Sans-Serif 版. これも5種類あり
* Norse: ルーン文字風フォント, 大きめのキャプション, タイトル画面, ウィンドウの見出しとかで使われる, ウエイト2種
* Rune: ルーン文字, 石碑の文字1回目の表示で使われる
* Arial: いわゆるデフォルトフォント, テキスト入力欄とかで使われることがあります

Valheim で使用されているフォントは全て日本語のグリフを持たないので, 和文は全て Source Han Sans SC に置き換えられます (この挙動はおそらく Unity のデフォルト設定そのままです). 本modのデフォルト設定では, 和文の統一感と互換性の観点から, これらを游明朝と游ゴシックで統一しています.

デフォルト設定では, Sans-Serif 系は游ゴシック, それ以外は游明朝に一括で置き換えますが, 上記のフォントに, ウエイト・スタイル別にもそれぞれ新たにフォント指定することもできます. 指定できるフォントは, OS にインストールされているものです.
例えば,

```
AveriaSerifLibre-Regular = Yu Mincho
AveriaSerifLibre-Bold = Yu Mincho Bold
```

に修正すると, Averia Serif Libre の標準ウエイトは游明朝に置き換えられ, Averia Serif Libre のボールド体は游明朝の太字に置き換えられます.
 = の右辺は, コンマ区切りでいくつも指定できます (CSS のフォント指定のように)

例えば Rune に別のフォントを指定するとこうなります.

![font replacing example](https://staticdelivery.nexusmods.com/mods/3667/images/1511/1511-1672716662-1605894474.jpeg)

ただし, Windows と Unity の仕様上, 指定できる名称はエクスプローラーで表示されるものとは異なります. フォント名はPowerShell で fc-list コマンドを実行して表示される名称, または Chrome のフォント設定で表示される名称しか受け付けないことに注意してください. また, フォントは管理者権限で「全てのユーザーに対しインストール」されたものしか認識できないようです (ユーザーフォルダにインストールされたものは認識されません)  Chrome で確認する場合, 「設定」-> 「デザイン」 -> 「フォントをカスタマイズ」あたりにフォントのドロップダウンリストがあります.

![chrome example](https://staticdelivery.nexusmods.com/mods/3667/images/1511/1511-1672720823-1822416250.jpeg)

## その他

このゲーム特有の用語も一部変更しています. この手の用語は元の訳がおかしいからと言って変えると逆に混乱が生じるかもしれませんが, ついでに変えています. よって要注意箇所をいくつか挙げます. 特に, 戦闘関連の用語がわかりにくいので変えています (ただし, Valheim はまだアーリーアクセスなので今後仕様が変わる可能性もあります).

* 「Blunt/鈍器」 -> 「打撃」: 武器属性の1つです. 他は動作なのにこれだけ物だったので.
* 「Secondary Attack/副次攻撃」 -> 「特殊攻撃」: 素手のときの蹴りや, アトゲイルの回転攻撃とかのあれです. 多くの場合通常攻撃より強力なので「強攻撃」とかでもいい気がしますが, 将来どうなるかわからないのでこうしました.
* 「Block/ブロック」 -> 「防御」: 操作説明の項目です. 後述のアイテム欄の名称と一致しませんが, 操作の説明は「防御」のほうがわかりやすいかと
* 「Backstab/暗殺」 -> 「不意打ち」: 武器にあるパラメータ. 相手に発見されてない状態からの攻撃のダメージボーナスに影響します
* 「Parry」 -> 「パリィ」 : 攻撃のタイミングにちょうど合わせてブロックすることです. 「受け流し」とか「パリー」とかいろいろあったので統一しました. ちなみにたまに敵がよろめくときに出る「塞がっている」という謎のメッセージは英語では "Blocked" で, パリィに成功したことを表しているのだと思います (なぜ矢をパリィしたらよろめくのかは謎). 建築時にオブジェクトが干渉して設置できないときのメッセージと使い回されてるのでここだけ修正するのがちょっと面倒で, 時間がかかります
* 「Parry Bonus/受け流しボーナス」 -> 「パリィボーナス」 : 武器や盾にあるパラメータ. 要はパリィに成功したときのブロック値の補正効果の大きさ (倍率) です. 
* 「Armor/アーマー」 -> 「防御力」: いわゆる防御力. 各種防具のダメージ軽減力です
* 「Block Armor/ブロックアーマー」 -> 「ブロック防御力」: 武器や盾にあるパラメータ. 武器や盾を構えてブロック(防御)姿勢を取ったときの追加の防御力
* 「staggered/前後不覚状態」 -> 「よろめき状態」 : この単語はフギンのアドバイスで1度でてくるだけですが, 「前後不覚」だと分かりづらいと思うので. 大ダメージを受けるとよろめきます
* 「Serpent/蛇(の○○)」 -> 「大海蛇(の○○)」 : 蛇て...	

あるいはこのmodに関する問題の指摘等を日本語で行いたい場合は私の個人ブログを参照してください: https://under-identified.hatenablog.com/entry/2021/10/12/225254


## Summary

This mod corrects the incomplete Japanese localization in Valheim:

1. mistranslations
2. missing text
3. very small text which are hard to read 
4. wrong font

E.g., In v0.208.1, roughly 20 % of the whole text is corrected because of unstranslation, significant mistranslation, and displaying errors. there are roughly 30 % of the whole text which has the former type of error or other minor errors.
In v0.212.7, each of figures become 4% and 18 %

## How to Install

1. make sure that [BepInEx](https://valheim.thunderstore.io/package/denikson/BepInExPack_Valheim/) is installed
2. make sure that [Jotunn](https://valheim.thunderstore.io/package/ValheimModding/Jotunn/) (JVL) is installed
3. install this mod. This mod should be installed at <Valheim Installation Folder>\BepInEx\plugins\ValheimJP\